FINCORE(1)

BEZEICHNUNG
fincore - Speicherseiten der Dateiinhalte im Kern zählen

ÜBERSICHT

fincore [Optionen] Datei...

BESCHREIBUNG

fincore zählt die im Speicher (im Kern) befindlichen Seiten des Dateiinhalts und gibt die Anzahl aus. Tritt während des Zählens ein Fehler auf, wird eine Fehlermeldung in die Standardfehlerausgabe geschrieben und fincore verarbeitet die restlichen in der Befehlszeile aufgeführten Dateien weiter. fincore verwendet den Systemaufruf cachestat(2), um die residenten Seiten zu zählen. Ist der Systemaufruf cachestat(2) nicht verfügbar und wird seine Verwendung nicht mit der Option --cachestat erzwungen, verwendet fincore den Systemaufruf mincore(2) als Fallback. Der Systemaufruf cachestat(2) ist effizienter als mincore, da er keine Seitentabellensperre zum Durchlaufen der Seitentabellen benötigt und außerdem mehr Informationen ausgibt, wie die Anzahl der zwischengespeicherten Seiten, geänderten Seiten, zum Zurückschreiben markierten Seiten, verdrängten Seiten und kürzlich verdrängten Seiten. Ein weiterer Unterschied zwischen den beiden Systemaufrufen besteht darin, dass cachestat(2) einen Fehler zurückgibt, wenn keine Schreibberechtigung für die Datei erteilt wurde, während mincore(2) aus Sicherheitsgründen gefälschte Daten zurückgibt, als ob alle Seiten im Speicher vorhanden wären (siehe

Die Standardausgabe kann sich ändern. Daher sollten Sie vermeiden, die Standardausgabe in Ihren Skripten zu verwenden, wo immer es möglich ist. Definieren Sie in Umgebungen, wo eine stabile Ausgabe erforderlich ist, stets die erwarteten Spalten, indem Sie die Option --output Spaltenliste angeben.

OPTIONEN

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile in der Statusausgabe.

-b, --bytes
    gibt die Größe in Byte anstelle eines menschenlesbaren Formats aus.

    Standardmäßig werden Größen in Einheiten angezeigt, die Potenzen von 1024 Bytes sind. Die formalen Abkürzungen für diese Einheiten (KiB, MiB, GiB usw.) werden weiter auf den Anfangsbuchstaben verkürzt: K, M, G usw.

-c, --total
    erzeugt eine Gesamtübersicht.

-C, --cachestat
    erzwingt die Verwendung des cachestat(2)-Systemaufrufs anstelle von mincore(2) und schlägt fehl, wenn dieser nicht verfügbar ist.

-o, --output Liste
    gibt an, welche Spalten ausgegeben werden sollen. Mit --help erhalten Sie eine Liste aller unterstützten Spalten. Die Standardliste der Spalten kann erweitert werden, wenn die Liste im Format +Liste vorliegt.

--output-all
    gibt alle verfügbaren Spalten aus.

-r, --raw
    erstellt die Ausgabe im rohen Format. Alle potenziell unsicheren Zeichen werden hexadezimal maskiert (\x<Code>).

-J, --json
    verwendet das JSON-Ausgabeformat.

-R, --recursive
    überprüft rekursiv alle Dateien in Verzeichnissen.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

UMGEBUNGSVARIABLEN

LIBSMARTCOLS_DEBUG=all
    aktiviert die Debug-Ausgabe für libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    verwendet sichtbare Auffüllzeichen.

AUTOREN

SIEHE AUCH

mincore(2), getpagesize(2), getconf(1p) cachestat(2)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl fincore ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.